Vous ne pouvez pas installer de nouveaux modules

Accueil Forums Gestion d’un serveur WIMS Administration d’un serveur WIMS Vous ne pouvez pas installer de nouveaux modules

Ce sujet a 4 réponses, 3 participants et a été mis à jour par  Olivier, il y a 1 an et 7 mois.

  • Auteur
    Messages
  • #3327

    Niko Z.
    Participant

    Bonjour,

    Je suis Niko Z. Je suis un professeur de lycée au Myanmar. Je déménage à un emplacement distant en Inde en Juillet. Je voudrais utiliser WIMS en classe là.

    Je ne parle pas français. J’utilise Google Translate pour participer au forum. Je suis désolé si mes phrases sont difficiles à lire.

    Je l’ai installé et cofigured serveur WIMS sur mon ordinateur portable avec l’aide généreuse de Georges Khaznadar.

    Ça marche bien. Cependant, j’ai un problème de mise à jour des modules existants et en installer de nouveaux.

    Dans la gestion du module, je vois qu’il ya beaucoup de nouveaux modules, mais si je choisis ‘Update all’ option que je reçois un mail à mon compte administratif que tous ‘Télécharger Échec. Cela se produit chaque fois au cours de la période d’un mois, même sur une connexion rapide.

    Cependant, je peux mettre à jour les modules un par un manuellement. J’ai le même problème pour installer de nouveaux modules. Je peux le faire un par un manuellement, mais ne peut pas ‘Instal All’ automatiquement.

    Je l’ai observé dans le gestionnaire de fichier
    / var / lib / wims / download / modules.
    Si je choisis ‘Update All’ un nouveau fichier apparaîtra pour une partie d’une seconde et disparaître immédiatement. Je reçois un e-mail que «Échec du téléchargement. Cependant, il fonctionne si je mettre à jour manuellement un module un par un.

    Quel pourrait être le problème?

    Merci,

    Niko Z.

    • Ce sujet a été modifié le il y a 1 an et 7 mois par  Niko Z.. Raison: google translate error
  • #3329

    bernadette
    Admin bbPress

    Je ne sais pas. Qu’en dit Georges ? Il doit y avoir un problème de droits ?
    Sur quel système êtes-vous ? et quelle procédure avez-vous pris pour installer wims ?

    Bernadette

  • #3330

    Olivier
    Admin bbPress

    Hello,
    Is it better for you if we talk in english ?

    Maybe you can call this script (as ‘wims’ user) from the WIMS directory, to download the modules « manually » :
    perl src/wims_modules.pl

    • Cette réponse a été modifiée le il y a 1 an et 7 mois par  Olivier.

    Olivier Bado - Université Nice Sophia Antipolis

  • #3332

    Niko Z.
    Participant

    J’ai debian Jessie x64, récemment mis à jour. Je l’ai installé un paquet de dépôt Debian. J’ajuste les autorisations de fichier selon les instructions de George.

    Je ne lui ai pas posé la question à propos de cette question par email. Je voudrais participer au forum, afin qu’il y ait un avantage à d’autres utilisateurs aussi bien.

    @Olivier English is certainly easier. I am not sure what Google translate is writing for me :).

    `gordan@gordan:/var/lib/wims$ ls
    backup bin download log other public_html README s2 sessions src tmp
    gordan@gordan:/var/lib/wims$ sudo perl src/wims_modules.pl
    [sudo] password for gordan:
    Can’t open perl script « src/wims_modules.pl »: No such file or directory
    gordan@gordan:/var/lib/wims$ sudo ls -l src/
    total 8
    -rw-r–r– 1 wims wims 599 Sep 11 2014 mathfonts
    -rw-r–r– 1 wims wims 327 Sep 11 2014 mathfonts-synonyms
    gordan@gordan:/var/lib/wims$ sudo ls -a src/
    . .. mathfonts mathfonts-synonyms’

    • Cette réponse a été modifiée le il y a 1 an et 7 mois par  Niko Z..
  • #3336

    Olivier
    Admin bbPress

    Maybe your problem comes from the specific installation made by Georges. I think you should ask him if he has an idea.

    I see that you have not the script « wims_modules.pl ». If you want, you can find it here in the repository :

    https://sourcesup.renater.fr/scm/viewvc.php/trunk/wims/src/wims_modules.pl?view=markup&root=wimsdev

    But you have to know that you should not call WIMS scripts as root (i.e : with ‘sudo’)
    You better have to call them as « wims » user.
    You can do that by switching to it : su - wims
    But, depending on how your installation has been made, it is not always possible. If not, maybe you can call scripts as wims user like this :
    sudo su wims -c "perl src/wims_modules.pl"

    Olivier Bado - Université Nice Sophia Antipolis

Vous devez être connecté pour répondre à ce sujet.